sdl2-2.5.2.0: Both high- and low-level bindings to the SDL library (version 2.0.6+).

Safe Haskell | Safe
Language | Haskell2010

SDL.Internal.Types

Synopsis

- newtype Joystick = Joystick {
  - joystickPtr :: Joystick
  }
- newtype Window = Window Window
- newtype Renderer = Renderer Renderer

# Documentation

newtype Joystick Source #

Constructors

Joystick |

Fields

- joystickPtr :: Joystick

#### Instances

Instances details

Eq Joystick Source # |
Instance details Defined in SDL.Internal.Types Methods (==) :: Joystick -> Joystick -> Bool (/=) :: Joystick -> Joystick -> Bool
Data Joystick Source # |

Instance details

Defined in SDL.Internal.Types

Methods

gfoldl :: (forall d b. Data d => c (d -> b) -> d -> c b) -> (forall g. g -> c g) -> Joystick -> c Joystick

gunfold :: (forall b r. Data b => c (b -> r) -> c r) -> (forall r. r -> c r) -> Constr -> c Joystick

toConstr :: Joystick -> Constr

dataTypeOf :: Joystick -> DataType

dataCast1 :: Typeable t => (forall d. Data d => c (t d)) -> Maybe (c Joystick)

dataCast2 :: Typeable t => (forall d e. (Data d, Data e) => c (t d e)) -> Maybe (c Joystick)

gmapT :: (forall b. Data b => b -> b) -> Joystick -> Joystick

gmapQl :: (r -> r' -> r) -> r -> (forall d. Data d => d -> r') -> Joystick -> r

gmapQr :: forall r r'. (r' -> r -> r) -> r -> (forall d. Data d => d -> r') -> Joystick -> r

gmapQ :: (forall d. Data d => d -> u) -> Joystick -> [u]

gmapQi :: Int -> (forall d. Data d => d -> u) -> Joystick -> u

gmapM :: Monad m => (forall d. Data d => d -> m d) -> Joystick -> m Joystick

gmapMp :: MonadPlus m => (forall d. Data d => d -> m d) -> Joystick -> m Joystick

gmapMo :: MonadPlus m => (forall d. Data d => d -> m d) -> Joystick -> m Joystick

Ord Joystick Source # |
Instance details Defined in SDL.Internal.Types Methods compare :: Joystick -> Joystick -> Ordering (<) :: Joystick -> Joystick -> Bool (<=) :: Joystick -> Joystick -> Bool (>) :: Joystick -> Joystick -> Bool (>=) :: Joystick -> Joystick -> Bool max :: Joystick -> Joystick -> Joystick min :: Joystick -> Joystick -> Joystick
Show Joystick Source # |
Instance details Defined in SDL.Internal.Types Methods showsPrec :: Int -> Joystick -> ShowS show :: Joystick -> String showList :: [Joystick] -> ShowS
Generic Joystick Source # |
Instance details Defined in SDL.Internal.Types Associated Types type Rep Joystick :: Type -> Type Methods from :: Joystick -> Rep Joystick x to :: Rep Joystick x -> Joystick
type Rep Joystick Source # |
Instance details Defined in SDL.Internal.Types type Rep Joystick = D1 ('MetaData "Joystick" "SDL.Internal.Types" "sdl2-2.5.2.0-Cx4Ipj2keSJFpflqvJYEGr" 'True) (C1 ('MetaCons "Joystick" 'PrefixI 'True) (S1 ('MetaSel ('Just "joystickPtr") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Joystick)))

newtype Window Source #

Constructors

Window Window |

#### Instances

Instances details

Eq Window Source # |
Instance details Defined in SDL.Internal.Types Methods (==) :: Window -> Window -> Bool (/=) :: Window -> Window -> Bool
Data Window Source # |

Instance details

Defined in SDL.Internal.Types

Methods

gfoldl :: (forall d b. Data d => c (d -> b) -> d -> c b) -> (forall g. g -> c g) -> Window -> c Window

gunfold :: (forall b r. Data b => c (b -> r) -> c r) -> (forall r. r -> c r) -> Constr -> c Window

toConstr :: Window -> Constr

dataTypeOf :: Window -> DataType

dataCast1 :: Typeable t => (forall d. Data d => c (t d)) -> Maybe (c Window)

dataCast2 :: Typeable t => (forall d e. (Data d, Data e) => c (t d e)) -> Maybe (c Window)

gmapT :: (forall b. Data b => b -> b) -> Window -> Window

gmapQl :: (r -> r' -> r) -> r -> (forall d. Data d => d -> r') -> Window -> r

gmapQr :: forall r r'. (r' -> r -> r) -> r -> (forall d. Data d => d -> r') -> Window -> r

gmapQ :: (forall d. Data d => d -> u) -> Window -> [u]

gmapQi :: Int -> (forall d. Data d => d -> u) -> Window -> u

gmapM :: Monad m => (forall d. Data d => d -> m d) -> Window -> m Window

gmapMp :: MonadPlus m => (forall d. Data d => d -> m d) -> Window -> m Window

gmapMo :: MonadPlus m => (forall d. Data d => d -> m d) -> Window -> m Window

Ord Window Source # |
Instance details Defined in SDL.Internal.Types Methods compare :: Window -> Window -> Ordering (<) :: Window -> Window -> Bool (<=) :: Window -> Window -> Bool (>) :: Window -> Window -> Bool (>=) :: Window -> Window -> Bool max :: Window -> Window -> Window min :: Window -> Window -> Window
Show Window Source # |
Instance details Defined in SDL.Internal.Types Methods showsPrec :: Int -> Window -> ShowS show :: Window -> String showList :: [Window] -> ShowS
Generic Window Source # |
Instance details Defined in SDL.Internal.Types Associated Types type Rep Window :: Type -> Type Methods from :: Window -> Rep Window x to :: Rep Window x -> Window
type Rep Window Source # |
Instance details Defined in SDL.Internal.Types type Rep Window = D1 ('MetaData "Window" "SDL.Internal.Types" "sdl2-2.5.2.0-Cx4Ipj2keSJFpflqvJYEGr" 'True) (C1 ('MetaCons "Window" 'PrefixI 'False) (S1 ('MetaSel ('Nothing :: Maybe Symbol) 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Window)))

newtype Renderer Source #

An SDL rendering device. This can be created with `createRenderer`.

Constructors

Renderer Renderer |

#### Instances

Instances details

Eq Renderer Source # |
Instance details Defined in SDL.Internal.Types Methods (==) :: Renderer -> Renderer -> Bool (/=) :: Renderer -> Renderer -> Bool
Data Renderer Source # |

Instance details

Defined in SDL.Internal.Types

Methods

gfoldl :: (forall d b. Data d => c (d -> b) -> d -> c b) -> (forall g. g -> c g) -> Renderer -> c Renderer

gunfold :: (forall b r. Data b => c (b -> r) -> c r) -> (forall r. r -> c r) -> Constr -> c Renderer

toConstr :: Renderer -> Constr

dataTypeOf :: Renderer -> DataType

dataCast1 :: Typeable t => (forall d. Data d => c (t d)) -> Maybe (c Renderer)

dataCast2 :: Typeable t => (forall d e. (Data d, Data e) => c (t d e)) -> Maybe (c Renderer)

gmapT :: (forall b. Data b => b -> b) -> Renderer -> Renderer

gmapQl :: (r -> r' -> r) -> r -> (forall d. Data d => d -> r') -> Renderer -> r

gmapQr :: forall r r'. (r' -> r -> r) -> r -> (forall d. Data d => d -> r') -> Renderer -> r

gmapQ :: (forall d. Data d => d -> u) -> Renderer -> [u]

gmapQi :: Int -> (forall d. Data d => d -> u) -> Renderer -> u

gmapM :: Monad m => (forall d. Data d => d -> m d) -> Renderer -> m Renderer

gmapMp :: MonadPlus m => (forall d. Data d => d -> m d) -> Renderer -> m Renderer

gmapMo :: MonadPlus m => (forall d. Data d => d -> m d) -> Renderer -> m Renderer

Ord Renderer Source # |
Instance details Defined in SDL.Internal.Types Methods compare :: Renderer -> Renderer -> Ordering (<) :: Renderer -> Renderer -> Bool (<=) :: Renderer -> Renderer -> Bool (>) :: Renderer -> Renderer -> Bool (>=) :: Renderer -> Renderer -> Bool max :: Renderer -> Renderer -> Renderer min :: Renderer -> Renderer -> Renderer
Show Renderer Source # |
Instance details Defined in SDL.Internal.Types Methods showsPrec :: Int -> Renderer -> ShowS show :: Renderer -> String showList :: [Renderer] -> ShowS
Generic Renderer Source # |
Instance details Defined in SDL.Internal.Types Associated Types type Rep Renderer :: Type -> Type Methods from :: Renderer -> Rep Renderer x to :: Rep Renderer x -> Renderer
type Rep Renderer Source # |
Instance details Defined in SDL.Internal.Types type Rep Renderer = D1 ('MetaData "Renderer" "SDL.Internal.Types" "sdl2-2.5.2.0-Cx4Ipj2keSJFpflqvJYEGr" 'True) (C1 ('MetaCons "Renderer" 'PrefixI 'False) (S1 ('MetaSel ('Nothing :: Maybe Symbol) 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Renderer)))